2020-10-26 18:56 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003571Exolon[All Projects] Generalpublic2016-12-20 22:41
Reporterhamakei 
Assigned ToStingRayProject InfoExolon (Hewson)
http://www.whdload.de/games/Exolon.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
Summary0003571: Game runs far, far too fast..as if it's not waiting for the VBlank....in
DescriptionGameVersion: english,1 disk. Unknown if PAL or NTSC
SlaveVersion: 1.2 from 10.01.2000

Game runs far, far too fast..as if it's not waiting for the VBlank....in addition the music is very glitchy and "stumbles" over itself
Video: https://www.dropbox.com/s/cfettex3762r4jx/exolon.mp4?dl=0
TagsNo tags attached.
MachineA1200
CPU68EC020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem4 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.2
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0005353

hamakei (reporter)

Should also add that "NOCACHE" makes no difference

note ~0005378

StingRay (developer)

Patch updated to v1.3, timing fixed, wrong DDFSTOP in one version fixed, new install script

note ~0005382

hamakei (reporter)

Sorry...but the new version seems to have a different bug...

It installs fine and runs...but when the fire button is pressed, the music stops, the screen switches to the title screen, and a couple of seconds later crashes to Workbench with the error:

Exception "Illegal Instruction" ($10) at $12810 occured

note ~0005383

hamakei (reporter)

New error - install now completely unplayable (see note for details)

note ~0005384

StingRay (developer)

Which version did you install? I have tested the new patch with SPS 15 and SPS 2038 and did not encounter any problems.

note ~0005385

hamakei (reporter)

1.3 taken from http://www.whdload.de/games/Exolon.lha uploaded today.

note ~0005386

StingRay (developer)

I do not mean the patch. I need to know which version of the game you have installed. Can you attach your disk.1 file here?

note ~0005387

hamakei (reporter)

Oh, sorry. I've tried it with a couple of different images... I think they're different but to be honest I'm not sure.

Hmm....keeps saying the file is too big to upload, but it's only 156.4k in size...

It was from this - http://www.whdownload.com/games/Pack-E-2007-01-30/Exolon_v1.2_0015.zip

I tried just swapping the slaves over, but that didn't work so I thought I should reinstall the game so I grabbed an ADF from somewhere else and installed from scratch....same error. It's possible the ADF was the same version of the game used in that install from whdownload, but I couldn't tell.

note ~0005388

StingRay (developer)

Last edited: 2016-12-20 22:16

View 2 revisions

Reinstalling is not necessary, just replacing the slave is enough. What does "did not work" mean exactly?

note ~0005389

hamakei (reporter)

Hmm...using that pre-packed install and overwriting the slave with the new version 1.3 seems to work fine.

Sorry about that - must have been a glitch when I was imaging the disk or something...

note ~0005390

StingRay (developer)

I will close this then as I have just checked the patch with the image you attached and it works fine.

note ~0005391

hamakei (reporter)

Thank you so much for taking the time to modify this years old patch... I really appreciate it!

note ~0005392

StingRay (developer)

My pleasure. :)
+Notes

-Issue History
Date Modified Username Field Change
2016-11-20 18:15 administrator New Issue
2016-11-20 18:15 administrator Status new => assigned
2016-11-20 18:15 administrator Assigned To => Graham
2016-11-20 18:18 hamakei Note Added: 0005353
2016-12-05 08:22 StingRay Assigned To Graham => StingRay
2016-12-20 19:21 StingRay Status assigned => resolved
2016-12-20 19:21 StingRay Resolution open => fixed
2016-12-20 19:21 StingRay Note Added: 0005378
2016-12-20 21:05 hamakei File Added: Untitled.png
2016-12-20 21:05 hamakei Note Added: 0005382
2016-12-20 21:06 hamakei Status resolved => feedback
2016-12-20 21:06 hamakei Resolution fixed => reopened
2016-12-20 21:06 hamakei Note Added: 0005383
2016-12-20 21:42 StingRay Note Added: 0005384
2016-12-20 21:51 hamakei Note Added: 0005385
2016-12-20 21:51 hamakei Status feedback => assigned
2016-12-20 22:03 StingRay Note Added: 0005386
2016-12-20 22:12 hamakei Note Added: 0005387
2016-12-20 22:16 StingRay Note Added: 0005388
2016-12-20 22:16 StingRay Note Edited: 0005388 View Revisions
2016-12-20 22:18 hamakei Note Added: 0005389
2016-12-20 22:34 StingRay Note Added: 0005390
2016-12-20 22:37 hamakei Note Added: 0005391
2016-12-20 22:40 StingRay Status assigned => resolved
2016-12-20 22:40 StingRay Resolution reopened => no change required
2016-12-20 22:41 StingRay Note Added: 0005392
+Issue History